## org.biojava.bio.dp.twohead
Class DPCompiler

    java.lang.Object
      org.biojava.bio.dp.twohead.DPCompiler

All Implemented Interfaces:
  CellCalculatorFactoryMaker

    public class DPCompiler

extends Object
implements CellCalculatorFactoryMaker

This is an implementation of CellCalculatorFactoryMaker that compiles the HMM object down to Java byte-code that is equivalent in behaviour to the interpreter.

Since:
  1.1
Author:
  Matthew Pocock, Greg Cox

Constructor Summary
`DPCompiler(boolean dumpToDisk)`

Method Summary
`Class` `generateBackwardClass(DP dp)`
`Class` `generateForardClass(DP dp)`
`Class` `generateViterbiClass(DP dp)`
`CellCalculatorFactory` `make(DP dp)`
`static String` `makeName(String prefix, MarkovModel model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPCompiler

    public DPCompiler(boolean dumpToDisk)

Method Detail

### make

    public CellCalculatorFactory make(DP dp)

  Specified by:
    `make` in interface `CellCalculatorFactoryMaker`

### makeName

    public static String makeName(String prefix,
                                  MarkovModel model)

### generateForardClass

    public Class generateForardClass(DP dp)

### generateBackwardClass

    public Class generateBackwardClass(DP dp)

### generateViterbiClass

    public Class generateViterbiClass(DP dp)